Aggiornamento post-installazione. Dubbi. [Risolto]

Tutto ciò che è pertinente a Sabayon Linux, indipendentemente dall'architettura e dall'ambiente grafico

Moderator: Moderators

Aggiornamento post-installazione. Dubbi. [Risolto]

Postby fransaba » Mon May 09, 2011 17:16

Salve a tutti! Vorrei sperimentare Sabayon (5.5 XFCE) dopo un periodo di familiarizzazione linux con Ubuntu. :D
Sono alla mia seconda installazione. Dopo la prima, effetuato l'aggiornamento indicato dal sistema, mi è andato in crash Entropy/Sulfur. :oops:
Ho provato i vari suggerimenti trovati in rete ma nulla da fare.
Niente di male! Ho apprezzato la velocità di installazione di Sabayon e sono di nuovo qui. :wink:
Ora vorrei chiedere agli esperti se devo magari prima di tutto aggiornare sys-devel/gcc alla versione 4.5.2 come suggerito da Magneto Notifier e solo dopo procedere alla installazione dei 1263.8MB indicati come <pacchetti che vorrebbero esssere installati/aggiornati>.
In sintesi: devo usare una procedura specifica per evitare di perdere Entropy/Sulfur, oppure è capitato la prima volta per qualche misterioso motivo?
Grazie in anticipo per le vostre preziose indicazioni!
Last edited by fransaba on Tue May 10, 2011 20:27, edited 1 time in total.
fransaba
Young Hen
 
Posts: 33
Joined: Mon May 09, 2011 17:06

Re: Aggiornamento post-installazione. Dubbi.

Postby albfneto » Mon May 09, 2011 17:23

il errore del crash? uscita dei commandi equo update , equo install entropy e equo upgrade

no dovrebe avere il errore di GCC, almeno nei nuovi Sabayons, Hai usato la Daily Build, la piu recente o la officiale di qualche mesi fa?

ei errori che tu ai visto sonno di Python?
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Aggiornamento post-installazione. Dubbi.

Postby fransaba » Mon May 09, 2011 18:33

Alberto, grazie. :D
Non ho usato la ISO daily build, ma quella ufficiale scaricata dal sito (5.5 XFCE).
Ecco il risultato di quanto mi hai chiesto.
Per quanto riguarda Pyton non so dire (non sono così esperto!) :oops:

equo update
>> Sending the update request to Entropy Services.
>> Repositories will be updated in background.
>> Saluti.


equo install entropy
>> Esecuzione con --pretend ...
>>
>>
>> !!! Per favore, aggiorna i pacchetti critici seguenti:
>> # sys-devel/gcc:4.5
>> !!! Dovresti installarli il prima possibile
>>
>>
>> @@ Questi sono i pacchetti scelti:
(....)

equo install entropy
>> Esecuzione con --pretend ...
>>
>>
>> !!! Per favore, aggiorna i pacchetti critici seguenti:
>> # sys-devel/gcc:4.5
>> !!! Dovresti installarli il prima possibile
>>
>>
>> @@ Questi sono i pacchetti scelti:
(......)

equo upgrade
>> Esecuzione con --pretend ...
>> @@ Calcolo Aggiornamenti di Sistema...
>> @@ 1 => Pacchetti risolti da aggiornare
>> @@ 0 => Pacchetti risolti non disponibili
>> @@ 0 => Pacchetti accoppiati già aggiornati
>> Esecuzione con --pretend ...
>> @@ Questi sono i pacchetti scelti:
>> # (1/1) [sabayonlinux.org] sys-devel/gcc-4.5.2
>> Versioni: Non installato / NoTag / NoRev ===> 4.5.2 / NoTag / 1
>> Azione: Installa
>> @@ Pacchetti coinvolti: 1
>> @@ calcolo delle dipendenze ...
>> @@ Questi sono i pacchetti che verrebbero installati:
(......)
Last edited by fransaba on Tue May 10, 2011 18:17, edited 1 time in total.
fransaba
Young Hen
 
Posts: 33
Joined: Mon May 09, 2011 17:06

Re: Aggiornamento post-installazione. Dubbi.

Postby micia » Mon May 09, 2011 18:45

Ciao, l'output di quei comandi indica che li stai eseguendo come utente normale:
esecuzione con --pretend

vuol dire che dato che non hai i privilegi per poter installare qualcosa nel tuo sistema, lui si limiterà a simulare la cosa.
In Linux per effettuare azioni che possono condizionare l'intero sistema devi essere root, che è un utente particolare a cui è concesso modificare il sistema.

Per diventare root in un terminale devi usare il comando su.
Code: Select all
su

e poi inserire la password di root, a quel punto potrai eseguire quei comandi in modo effettivo.
Ad ogni modo in Sabayon è sempre raccomandabile aggiornare per primissima cosa il gestore dei pacchetti, qualora ci fossero aggiornamenti, quindi:
(come root)
Code: Select all
equo update
equo install --ask entropy equo sulfur

il primo comando aggiorna la lista dei pacchetti disponibili, il secondo comando installa gli aggiornamenti per il gestore dei pacchetti (entropy), la sua interfaccia testuale (equo) e la sua interfaccia grafica (sulfur).
In realtà sarebbe sufficiente scrivere solo:
(come root)
Code: Select all
equo install --ask entropy

il resto viene implicato dalle dipendenze, ma ho il vizio di scriverlo cosi...

Quell'--ask è solo per farti vedere un'anteprima delle modifiche e farti chiedere conferma prima di procedere.
Lo trovo necessario per queste cose, dato che è una sicurezza in più.
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Re: Aggiornamento post-installazione. Dubbi.

Postby fransaba » Mon May 09, 2011 19:48

Grazie, micia.
Ho seguito le tue indicazioni aggiornando quindi il sistema, ma sfortunatamente ho conseguito il medesimo esito della mia prima installazione: clicco su "Entropy Store", mi chiede la pw di amministratore, la inserisco ma poi Sulfur ... non si avvia!
Dove sto sbagliando? :cry:
fransaba
Young Hen
 
Posts: 33
Joined: Mon May 09, 2011 17:06

Re: Aggiornamento post-installazione. Dubbi.

Postby micia » Mon May 09, 2011 19:57

Temo che tu non stia sbagliando nulla, quando ti capitano queste cose, usa il tuo fido terminale:
se sei su Gnome:
Code: Select all
gksu sulfur

se sei su KDE4:
Code: Select all
kdesu sulfur

poi dicci cosa ti scrive quando non si avvia.
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Re: Aggiornamento post-installazione. Dubbi.

Postby fransaba » Mon May 09, 2011 20:33

gksu sulfur
Traceback (most recent call last):
File "/usr/lib/entropy/sulfur/sulfur_client.py", line 18, in <module>
import gtk
File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 40, in <module>
ImportError: cannot import name _gtk
fransaba
Young Hen
 
Posts: 33
Joined: Mon May 09, 2011 17:06

Re: Aggiornamento post-installazione. Dubbi.

Postby sabayonino » Mon May 09, 2011 23:00

fransaba wrote:gksu sulfur
Traceback (most recent call last):
File "/usr/lib/entropy/sulfur/sulfur_client.py", line 18, in <module>
import gtk
File "/usr/lib/python2.6/site-packages/gtk-2.0/gtk/__init__.py", line 40, in <module>
ImportError: cannot import name _gtk



Ciao

Qui devi aggiornare python alla nuova versione . ti consiglio di aggiornare da terminale.

Code: Select all
equo install dev-lang/python


Passare al nuovo profilo di python (equo/entropy sono scritti in python)
Code: Select all
eselect python update


Riprova con
Code: Select all
equo install equo entropy --relaxed


Eventualmente ggiorna tutto con :
Code: Select all
equo upgrade --ask
User avatar
sabayonino
Sagely Hen
 
Posts: 2464
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: Aggiornamento post-installazione. Dubbi.

Postby fransaba » Tue May 10, 2011 18:13

:x Niente da fare! Seguite le istruzioni, mi par di capire che c'è stato anche l'aggiornamento indicato, ma - alla fine di tutto - cliccando su Entropy Store Sulfur non si avvia. :!:
Il risultato di gksu sulfur è questo:

Traceback (most recent call last):
File "/usr/lib/entropy/sulfur/sulfur_client.py", line 18, in <module>
import gtk
ImportError: No module named gtk
fransaba
Young Hen
 
Posts: 33
Joined: Mon May 09, 2011 17:06

Re: Aggiornamento post-installazione. Dubbi.

Postby micia » Tue May 10, 2011 18:36

Questo utente ha avuto il tuo stesso problema e ha risolto cosi:
http://forum.sabayon.org/viewtopic.php?f=24&t=23958&start=20#p134241

penso che ti possa tornare utile.
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Next

Return to Sabayon Linux Discussioni Generali

Who is online

Users browsing this forum: No registered users and 1 guest